Bug 1921972 (CVE-2021-20234) - CVE-2021-20234 zeromq: Memory leak in client induced by malicious server without CURVE/ZAP
Summary: CVE-2021-20234 zeromq: Memory leak in client induced by malicious server with...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-20234
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1921973 1921974 1921975 1921978
Blocks: 1921995 1939830
TreeView+ depends on / blocked
 
Reported: 2021-01-29 00:20 UTC by Pedro Sampaio
Modified: 2021-03-17 07:20 UTC (History)
23 users (show)

Fixed In Version: zeromq 4.3.3
Doc Type: If docs needed, set a value
Doc Text:
An uncontrolled resource consumption (memory leak) flaw was found in the ZeroMQ client in src/pipe.cpp. This issue causes a client that connects to multiple malicious or compromised servers to crash. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-02-11 22:09:42 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-01-29 00:20:04 UTC
A flaw was found in zeromq before 4.3.3. When a pipe processes a delimiter and is already not in active state but still has an unfinished message, the message is leaked causing a crash.

References:

https://github.com/zeromq/libzmq/pull/3918
https://github.com/zeromq/libzmq/security/advisories/GHSA-wfr2-29gj-5w87
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=22037
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=22123

Comment 1 Pedro Sampaio 2021-01-29 00:20:55 UTC
Created zeromq tracking bugs for this issue:

Affects: epel-all [bug 1921973]
Affects: fedora-all [bug 1921975]


Created zeromq3 tracking bugs for this issue:

Affects: epel-7 [bug 1921974]

Comment 2 Pedro Sampaio 2021-01-29 00:29:23 UTC
Created zeromq tracking bugs for this issue:

Affects: openstack-rdo [bug 1921978]

Comment 3 Denis Arnaud 2021-01-30 00:06:00 UTC
Fixed by https://bodhi.fedoraproject.org/updates/FEDORA-2021-a01e258e6d

Comment 4 Fedora Update System 2021-02-08 01:29:27 UTC
FEDORA-2021-8b3202b783 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Todd Cullum 2021-02-12 19:03:46 UTC
External References:

https://github.com/zeromq/libzmq/security/advisories/GHSA-wfr2-29gj-5w87

Comment 7 Fedora Update System 2021-02-17 04:15:41 UTC
FEDORA-EPEL-2021-5e4b80b9d8 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.